Bug 10686 - Separate library packaging.
: Separate library packaging.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/powersave)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-19 13:32 by
Modified: 2007-04-22 19:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-19 13:32:59
Надо вынести библиотеки в пакет libpowersave и переименовать powersave-devel в
libpowersave-devel.  Rationale: powerwave не нужен в системе при сборке кого-то
с его библиотеками.
------- Comment #1 From 2007-01-19 13:40:02 -------
Я не вижу в данный момент приложений кроме kpowersave, слинкованных с
libpowersave.

А kpowersave без powersave бесполезен, более того - сильно ругается при старте.

На мой взгляд не стоит выносить libpowersave в отдельную библиотеку.

К тому-же данная библиотека не сможет работать без установленного и
загруженного
powersaved
------- Comment #2 From 2007-01-19 13:47:35 -------
А я хочу собрать wmpowersave, и мне на сборочнице ну совсе не нужен powersave. 
Не работает kpowersave - надо проставить зависимось, но зачем из сборочницы
помойку устраивать?
------- Comment #3 From 2007-01-19 13:49:04 -------
На мантейнера.
------- Comment #4 From 2007-01-19 14:03:27 -------
а .. ты про сборочницу. Ну в общем то мне всё равно что в сборочницу будет
устанавливаться.. лично меня не напрягает там ещё пара бинарников. А вот
зависимости потом у всех проставлять будет гемморойно.
------- Comment #5 From 2007-02-07 02:02:22 -------
Fixed in 0.14.0-alt3